export class ApplicationError extends Error {
    constructor(message: string) {
        super(message);
        this.name = this.constructor.name;
    }
}

export class UserError extends ApplicationError {
    constructor(message: string) {
        super(message);
    }
}

export class SystemError extends ApplicationError {
    constructor(message: string) {
        super(message);
    }
}
